Page MenuHomePhabricator

[betalabs] Browser crash - ve.init.target is null when attempting to switch to VE in Board description
Closed, ResolvedPublic

Description

Couple of scenarios causing the bug - incl. the browser crash(Chrome/FF).
I scenario:

  1. On a Talk page in betalabs click on Reply - the Reply area will display your previously selected mode of editing - VE or wikitext.
  2. Keep the Reply area open - click on 'Edit description' on the Board. The Reply area closes.
  3. Re-open the Reply - there will be no icons for wikitext or VE.

There is no warnings/errors in Console.

II scenario:

  1. Open 'Edit description' first, and then click on Reply. There will be two open areas for editing with VE and wikitext icons displayed.
  2. Click to switch to wikitext editor in Reply. Click to switch to wikitext in Edit description.
  3. Click 'Cancel' for the Reply area - and the browser tab becomes unresponsive.

Below is stack trace and error reference from FF and Chrome:

Unresponsive script

Script: http://en.wikipedia.beta.wmfla…rsion=0eHoq%2FfY line 4 > eval:1
<return>:undefined
this: undefined
type: "TypeError"
message: "ve.init.target is null"
fileurl: "http://en.wikipedia.beta.wmflabs.org/w/load.php?debug=false&lang=en&modules=ext.visualEditor.core%7Coojs-ui.styles.icons-editing-advanced&skin=vector&version=2b4a21645d10&*"

TypeError: ve.init.target is null load.php:496:790
GET
http://sentry-beta.wmflabs.org/api/4/store/

Event Timeline

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 4:47 PM
Catrope triaged this task as High priority.Aug 5 2015, 11:47 PM
Catrope added a subscriber: Catrope.

I think this should be fixed now, with the new editor code?

Etonkovidova updated the task description. (Show Details)Aug 13 2015, 9:28 PM

All is fixed in betalabs.

DannyH closed this task as Resolved.Aug 19 2015, 6:56 PM
DannyH added a subscriber: DannyH.